{
	"query_to_file": "export.queryToFile",
	"tab_to_csv_file": "manager/4d/output_tab_4d.tabToCsvFile",
  "sleep": "util.sleep",
  "sleep_count": "util.sleepCount",
  "fastems_orders_to_file": "custom/fastems/fastems_worker.ordersToFile",
  "fastems_manufactured_articles_to_file": "custom/fastems/fastems_worker.manufacturedArticlesToFile",
  "update_currency_rate": "custom/currency_import/currency_import_pl.saveRateToDatabase",
  "stop_unmanned_phase": "manager/table/work_phase_actual.stopUnmannedPhase",
  "bysoft_send_and_receive": "custom/bysoft/bysoft.sendAndReceive",
  "save_document_count": "pr/save_document_count.saveDocumentCount",
  "saveDocumentCount": "pr/save_document_count.saveDocumentCount",
  "save_reclamation_count": "wos/save_reclamation_count.saveReclamationCount",
  "saveReclamationCount": "wos/save_reclamation_count.saveReclamationCount",
  "save_rate_to_database": "custom/currency_import/currency_import_pl.saveRateToDatabase",
  "saveRateToDatabase": "custom/currency_import/currency_import_pl.saveRateToDatabase",
  "netvisor_send_function": "custom/netvisor/netvisor_send.postHttp",
  "showSql": "database.showSql",
  "sort": "fmr.sort",
  "filter": "fmr.filter",
  "map": "fmr.map",
  "reduce": "fmr.reduce",
  "workpost_gig.call": "workpost/workpost_gig.call",
  "errTest": "test/run_code_test.errTest",
  "so_update_confirmed_state_to_work_order": "so/update_confirmed_state_to_work_order.findWorkOrder",
  "wpaMachineData": "work_phase_actual.wpaMachineData",
  "wpaLastDateTime": "work_phase_actual.lastDateTime",
  "loadMachineData": "machine_data.eventArray",
  "wpaStartedData": "wpa/machine_data_to_work_phase_actual.wpaStartedData",
  "machineDataToWpa": "wpa/machine_data_to_work_phase_actual.machineDataToWpa",
  "stopEarlierStarted": "wpa/machine_data_to_work_phase_actual.stopEarlierStarted",
  "loadCapacity": "capacity/capacity.loadCapacity",
  "capacity.shiftLimitSumHours":"capacity/capacity.shiftLimitSumHours",
  "capacity.shiftLimitSumHoursLgArr":"capacity/capacity.shiftLimitSumHoursLgArr",
  "capacity.shiftArr":"capacity/capacity.shiftArr",
  "updateShift": "wpa/machine_data_to_work_phase_actual.updateShift",
  "checkLinkedWos": "wpa/machine_data_to_work_phase_actual.checkLinkedWos",
  "checkLinkedWo": "wpa/machine_data_to_work_phase_actual.checkLinkedWo",
  "addOpenWpa": "wpa/machine_data_to_work_phase_actual.addOpenWpa",
  "wpaSplitToShift": "wpa/machine_data_to_work_phase_actual.split",
  "updateWorkTime": "work_phase_actual.updateWorkTime",
  "clearOverlappedMachineTime": "work_phase_actual.clearOverlappedMachineTime",
  "updateWpaCalculatedField": "work_phase_actual.updateWpaCalculatedField",
  "updateWosWorkTime": "wpa/machine_data_to_work_phase_actual.updateWosWorkTime",
  "saveToDatabase": "database.recordTableToSelection",
  "saveToDatabaseNotUpdated": "database.recordTableToSelectionNotUpdated",
  "convertAndSave": "convert.convertAndSave",
  "saveOtherThanSelectedTag": "execute.saveOtherThanSelectedTag",
  "saveSelectedTag": "execute.saveSelectedTag",
  "constantTbl": "mg.constantTbl",
  "wpaConstantTbl": "mg.wpa.constantTbl",
  "query": "query.queryJsonData",
  "queryAll": "query.query",
  "round": "util.round",
	"concatWith": "util.concatWith",
	"setRecordArrConcatField": "util.setRecordArrConcatField",
	"arrayUnique": "fnutil.uniqueArray",
  "arrayCombine": "util.arrayCombine",
  "arrayIndex": "fn.index",
  "arraySize": "util.arraySize",
  "util.parameterToTable": "util.parameterToTable",
  "selectFieldsFromArray": "util.selectFieldsFromArray",
  "fieldMaxValue": "util.arrayFieldMaxValue",
  "fieldValueToArray": "util.fieldValueToArray",
  "preferenceTagValue": "util.prfTag",
  "dateToWeek": "dt.toWeek",
  "daysAdd": "dt.daysAdd",
  "daysToCurrentDateStringAdd": "dt.daysToCurrentDateStringAdd",
  "secondsAdd": "dt.secondsAdd",
  "dateTimeToTimeString": "dt.toTimeString",
  "dateTimeToDateString": "dt.toDateString",
  "ymdAdd":"dt.ymdAdd",
  "ymdAddDateString":"dt.ymdAddDateString",
  "dayDifference": "dt.dayDifference",
  "hourDifferenceTimestamp": "dt.hourDifferenceTimestamp",
  "hourDifference": "dt.hourDifference",
  "timestampToNum": "dt.dateTimeParse",
  "dt.currentFormat": "dt.currentFormat",
  "currentDateTime": "dt.currentDateTime",
  "currentUtcString": "dt.currentUtcString",
  "currentDateString": "dt.currentDateString",
  "currentDate": "dt.currentDate",
  "currentTimeString": "dt.currentTimeString",
  "currentUser": "auth.currentUser",
  "currentUserId": "auth.currentUserId",
  "profitPercentage": "execute.profitPercentage",
  "custom/lemon.exportInvoice": "custom/lemon.exportInvoice",
  "loadResultCache": "result_cache.loadResultCache",
  "saveResultCache": "result_cache.saveResultCacheRecord",
  "parseBefore": "peg.parseBefore",
  "parse":"util.stringParse",
  "linkedFieldValue": "execute.linkedFieldValue",
  "iterPreference": "execute.iterPreference",
  "run_preference": "execute.runPreference",
  "runPreference": "execute.runPreference",
  "script":"script2.script",
  "db.update":"database.update",
  "test.start":"test.start",
  "lowercase":"lower",
  "-":"util.oppositeNumber",
	"currencyPriceToDefaultPrice": "ma.currencyPriceToDefaultPrice",
	"printTable": "util.printTable"
}
